Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233410 - version 1.1.0: bugs in build system (linking)
Summary: version 1.1.0: bugs in build system (linking)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Unknown
Version: 1.0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-03-22 08:27 UTC by Stanislav Ievlev
Modified: 2015-12-07 17:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 17:14:13 UTC


Attachments (Terms of Use)
patxh to fix problem (deleted)
2007-03-22 08:27 UTC, Stanislav Ievlev
no flags Details

Description Stanislav Ievlev 2007-03-22 08:27:48 UTC
Description of problem:

I'm using -Wl,as-needed linker flag enabled by default.
I've detected are several linking bugs in current unstable version:

See my patch for Makefile.am for details

Version-Release number of selected component (if applicable):
1.1.0-20070322

How reproducible:


Steps to Reproduce:
1. Enable -as-need flag in your linker by default

  
Actual results:
$ make
make  all-am
make[1]: Entering directory `/mnt/archive/RPM/BUILD/fedora-ds-1.1.0-20070322'
/bin/sh ./libtool --tag=CC --mode=link gcc  -g -O2   -o migratecred-bin 
ldap/servers/slapd/tools/migratecred_bin-migratecred.o libslapd.la -lplc4
-lplds4 -lnspr4 -lssl3 -lnss3 -lsoftokn3 -lsvrcore -lssldap60 -lprldap60
-lldap60 -lldif60 -lsasl2 
gcc -g -O2 -o .libs/migratecred-bin
ldap/servers/slapd/tools/migratecred_bin-migratecred.o  ./.libs/libslapd.so
-lplc4 -lplds4 -lnspr4 -lssl3 -lnss3 -lsoftokn3 -lsvrcore -lssldap60 -lprldap60
-lldap60 -lldif60 -lsasl2 -Wl,--rpath -Wl,/usr/lib64/fedora-ds
./.libs/libslapd.so: undefined reference to `SVRCORE_RegisterPinObj'
./.libs/libslapd.so: undefined reference to `SVRCORE_SetStdPinInteractive'
./.libs/libslapd.so: undefined reference to `SVRCORE_CreateStdPinObj'
./.libs/libslapd.so: undefined reference to `SVRCORE_GetRegisteredPinObj'
./.libs/libslapd.so: undefined reference to `SVRCORE_StdPinGetPin'
collect2: ld returned 1 exit status


Additional info:

Comment 1 Stanislav Ievlev 2007-03-22 08:27:48 UTC
Created attachment 150645 [details]
patxh to fix problem

Comment 2 Rich Megginson 2007-03-22 15:17:19 UTC
Thanks!

Checking in Makefile.am;
/cvs/dirsec/ldapserver/Makefile.am,v  <--  Makefile.am
new revision: 1.35; previous revision: 1.34
done
Checking in aclocal.m4;
/cvs/dirsec/ldapserver/aclocal.m4,v  <--  aclocal.m4
new revision: 1.29; previous revision: 1.28
done
Checking in configure;
/cvs/dirsec/ldapserver/configure,v  <--  configure
new revision: 1.38; previous revision: 1.37
done
Checking in missing;
/cvs/dirsec/ldapserver/missing,v  <--  missing
new revision: 1.23; previous revision: 1.22
done
Checking in install-sh;
/cvs/dirsec/ldapserver/install-sh,v  <--  install-sh
new revision: 1.23; previous revision: 1.22
done
Checking in depcomp;
/cvs/dirsec/ldapserver/depcomp,v  <--  depcomp
new revision: 1.23; previous revision: 1.22
done
Checking in compile;
/cvs/dirsec/ldapserver/compile,v  <--  compile
new revision: 1.23; previous revision: 1.22
done
Checking in Makefile.in;
/cvs/dirsec/ldapserver/Makefile.in,v  <--  Makefile.in
new revision: 1.41; previous revision: 1.40
done
Checking in config.sub;
/cvs/dirsec/ldapserver/config.sub,v  <--  config.sub
new revision: 1.22; previous revision: 1.21
done
Checking in config.guess;
/cvs/dirsec/ldapserver/config.guess,v  <--  config.guess
new revision: 1.22; previous revision: 1.21
done


Comment 3 Nathan Kinder 2007-12-14 23:31:30 UTC
We no longer see these undefined reference to svrcore symbols.  Marking as verified.


Note You need to log in before you can comment on or make changes to this bug.